> [!WARNING]
> This method is deprecated; use the `course.announcements.addOnAttachments`, `course.courseWork.addOnAttachments` or `course.courseWorkMaterials.addOnAttachments` method instead.

- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments/patch#body.aspect)

Updates an add-on attachment.

Requires the add-on to have been the original creator of the attachment.

This method returns the following error codes:

- `PERMISSION_DENIED` for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if one of the identified resources does not exist.

### HTTP request

`PATCH https://classroom.googleapis.com/v1/courses/{courseId}/posts/{postId}/addOnAttachments/{attachmentId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |
| `postId` | `string` Required. Identifier of the post under which the attachment is attached. |
| `attachmentId` | `string` Required. Identifier of the attachment. |

### Query parameters

| Parameters ||
|---|---|
| `itemId` | `string` Identifier of the post under which the attachment is attached. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask that identifies which fields on the attachment to update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the `AddOnAttachment` object. If a field that does not support empty values is included in the update mask and not set in the `AddOnAttachment` object, an `INVALID_ARGUMENT` error is returned. The following fields may be specified by teachers: - `title` - `teacherViewUri` - `studentViewUri` - `studentWorkReviewUri` - `dueDate` - `dueTime` - `maxPoints` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments#AddOnAttachment`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments#AddOnAttachment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.addons.teacher`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).